# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: ryax/worker/infrastructure/grpc/vpa_protocol/vpa_protocol.proto
# Protobuf Python Version: 4.25.1
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import descriptor_pool as _descriptor_pool
from google.protobuf import symbol_database as _symbol_database
from google.protobuf.internal import builder as _builder
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


from google.protobuf import timestamp_pb2 as google_dot_protobuf_dot_timestamp__pb2
from google.protobuf import empty_pb2 as google_dot_protobuf_dot_empty__pb2


DESCRIPTOR = _descriptor_pool.Default().AddSerializedFile(b'\n?ryax/worker/infrastructure/grpc/vpa_protocol/vpa_protocol.proto\x12\x0cvpa_protocol\x1a\x1fgoogle/protobuf/timestamp.proto\x1a\x1bgoogle/protobuf/empty.proto\"R\n\x19NewRecommendationsRequest\x12\x35\n\x0frecommendations\x18\x01 \x03(\x0b\x32\x1c.vpa_protocol.Recommendation\"\x80\x02\n\x0eRecommendation\x12-\n\ttimestamp\x18\x01 \x01(\x0b\x32\x1a.google.protobuf.Timestamp\x12\x0b\n\x03key\x18\x02 \x01(\t\x12\x18\n\x10gpu_mig_instance\x18\x03 \x01(\t\x12\x0b\n\x03\x63pu\x18\x04 \x01(\x02\x12\x0e\n\x06memory\x18\x05 \x01(\x04\x12M\n\x14oom_killed_resources\x18\x06 \x03(\x0e\x32/.vpa_protocol.Recommendation.OOMKilledResources\",\n\x12OOMKilledResources\x12\n\n\x06RAMOOM\x10\x00\x12\n\n\x06GPUOOM\x10\x01\x32^\n\x03Vpa\x12W\n\x12NewRecommendations\x12\'.vpa_protocol.NewRecommendationsRequest\x1a\x16.google.protobuf.Empty\"\x00\x42-Z+ryax.tech/ryax/vpa/dataio/grpc/vpa_protocolb\x06proto3')

_globals = globals()
_builder.BuildMessageAndEnumDescriptors(DESCRIPTOR, _globals)
_builder.BuildTopDescriptorsAndMessages(DESCRIPTOR, 'ryax.worker.infrastructure.grpc.vpa_protocol.vpa_protocol_pb2', _globals)
if _descriptor._USE_C_DESCRIPTORS == False:
  _globals['DESCRIPTOR']._options = None
  _globals['DESCRIPTOR']._serialized_options = b'Z+ryax.tech/ryax/vpa/dataio/grpc/vpa_protocol'
  _globals['_NEWRECOMMENDATIONSREQUEST']._serialized_start=143
  _globals['_NEWRECOMMENDATIONSREQUEST']._serialized_end=225
  _globals['_RECOMMENDATION']._serialized_start=228
  _globals['_RECOMMENDATION']._serialized_end=484
  _globals['_RECOMMENDATION_OOMKILLEDRESOURCES']._serialized_start=440
  _globals['_RECOMMENDATION_OOMKILLEDRESOURCES']._serialized_end=484
  _globals['_VPA']._serialized_start=486
  _globals['_VPA']._serialized_end=580
# @@protoc_insertion_point(module_scope)
